メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.ScimConfiguration.UpdateAsync(
            id: "id",
            request: new UpdateScimConfigurationRequestContent {
                UserIdAttribute = "user_id_attribute",
                Mapping = new List<ScimMappingItem>(){
                    new ScimMappingItem(),
                }

            }
        );
    }

}
package example

import (
context "context"

management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
connections "github.com/auth0/go-auth0/management/management/connections"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &connections.UpdateScimConfigurationRequestContent{
UserIdAttribute: "user_id_attribute",
Mapping: []*management.ScimMappingItem{
&management.ScimMappingItem{},
},
}
client.Connections.ScimConfiguration.Update(
context.TODO(),
"id",
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.connections.scimconfiguration.requests.UpdateScimConfigurationRequestContent;
import com.auth0.client.mgmt.types.ScimMappingItem;
import java.util.Arrays;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.connections().scimConfiguration().update(
"id",
UpdateScimConfigurationRequestContent
.builder()
.userIdAttribute("user_id_attribute")
.mapping(
Arrays.asList(
ScimMappingItem
.builder()
.build()
)
)
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Connections\ScimConfiguration\Requests\UpdateScimConfigurationRequestContent;
use Auth0\SDK\API\Management\Types\ScimMappingItem;

$client = new Management(
token: '<token>',
);
$client->connections->scimConfiguration->update(
'id',
new UpdateScimConfigurationRequestContent([
'userIdAttribute' => 'user_id_attribute',
'mapping' => [
new ScimMappingItem([]),
],
]),
);
from auth0.management import ManagementClient, ScimMappingItem

client = ManagementClient(
token="<token>",
)

client.connections.scim_configuration.update(
id="id",
user_id_attribute="user_id_attribute",
mapping=[
ScimMappingItem()
],
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.connections.scim_configuration.update(
id: "id",
user_id_attribute: "user_id_attribute",
mapping: [{}]
)
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.update("id", {
userIdAttribute: "user_id_attribute",
mapping: [
{},
],
});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.update("id", {
userIdAttribute: "user_id_attribute",
mapping: [
{},
],
});
}
main();
curl --request PATCH \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id_attribute": "<string>",
"mapping": [
{
"auth0": "<string>",
"scim": "<string>"
}
]
}
'
{
  "connection_id": "<string>",
  "connection_name": "<string>",
  "strategy": "<string>",
  "tenant_name": "<string>",
  "user_id_attribute": "<string>",
  "mapping": [
    {
      "auth0": "<string>",
      "scim": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_on": "2023-11-07T05:31:56Z"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

The id of the connection to update its SCIM configuration

ボディ

user_id_attribute
string
必須

User ID attribute for generating unique user ids

mapping
object[]
必須

The mapping between auth0 and SCIM

レスポンス

The connection's SCIM configuration was updated. See Response Schemas for schema.

connection_id
string
必須

The connection's identifier

connection_name
string
必須

The connection's name

strategy
string
必須

The connection's strategy

tenant_name
string
必須

The tenant's name

user_id_attribute
string
必須

User ID attribute for generating unique user ids

mapping
object[]
必須

The mapping between auth0 and SCIM

created_at
string<date-time>
必須

The ISO 8601 date and time the SCIM configuration was created at

updated_on
string<date-time>
必須

The ISO 8601 date and time the SCIM configuration was last updated on